var ALL_QUESTIONS = new Array();
var DISPLAYED_QUESTIONS = new Array();

var ADD_ICON = "";
var SUBTRACT_ICON = "";

function SetIcons(addIcon, subtractIcon) {
	ADD_ICON = addIcon;
	SUBTRACT_ICON = subtractIcon;
	return null;
}

function AddQuestion(format, questionText) {
	if(!format) {
		return 0;
	}
	if(!questionText) {
		return 0;
	}

	if(!ALL_QUESTIONS[format]) {
		ALL_QUESTIONS[format] = new Array();

	}
	ALL_QUESTIONS[format].push(questionText);
	return ALL_QUESTIONS[format].length;
}

function ToggleExpand(format, id) {
	if(!format) {
		return null;
	}
	
	var div = document.getElementById(id);
	var icon = document.getElementById(id+'_icon');
	if(!DISPLAYED_QUESTIONS[format]) {
		var formatQuestions = ALL_QUESTIONS[format];
		var tmpHtml = '';
		for(var i = 0; i < formatQuestions.length; i++) {
			tmpHtml += formatQuestions[i]+"<br>\n";
		}
		div.innerHTML = tmpHtml;
		icon.innerHTML = SUBTRACT_ICON;
		DISPLAYED_QUESTIONS[format] = 1;
	} else {
		div.innerHTML = '';
		icon.innerHTML = ADD_ICON;
		DISPLAYED_QUESTIONS[format] = 0;
	}
	return div.innerHTML;
}
